---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Personal/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libVThreadUnsupportedTest.dylib'
relocations:
  - { offsetInCU: 0x74, offset: 0x74, size: 0x8, addend: 0x0, symName: __ZL26is_completed_test_in_event.0, symObjAddr: 0x22AE0, symBinAddr: 0x3030, symSize: 0x0 }
  - { offsetInCU: 0xC96, offset: 0xC96, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x22AE8, symBinAddr: 0x3038, symSize: 0x0 }
  - { offsetInCU: 0xAB1F, offset: 0xAB1F, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0xA00, symBinAddr: 0xBD0, symSize: 0x30 }
  - { offsetInCU: 0xADB0, offset: 0xADB0, size: 0x8, addend: 0x0, symName: _Java_VThreadUnsupportedTest_isCompletedTestInEvent, symObjAddr: 0xE90, symBinAddr: 0xC00, symSize: 0x20 }
  - { offsetInCU: 0xAE1A, offset: 0xAE1A, size: 0x8, addend: 0x0, symName: _Java_VThreadUnsupportedTest_testJvmtiFunctionsInJNICall, symObjAddr: 0xEB0, symBinAddr: 0xC20, symSize: 0x70 }
  - { offsetInCU: 0xAEA1, offset: 0xAEA1, size: 0x8, addend: 0x0, symName: __ZL32test_unsupported_jvmti_functionsP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0xF20, symBinAddr: 0xC90, symSize: 0x270 }
  - { offsetInCU: 0xB763, offset: 0xB763, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x1190, symBinAddr: 0xF00, symSize: 0x190 }
  - { offsetInCU: 0xB9E9, offset: 0xB9E9, size: 0x8, addend: 0x0, symName: __ZL14find_ext_eventP9_jvmtiEnvPKc, symObjAddr: 0x14D0, symBinAddr: 0x1240, symSize: 0xAA }
  - { offsetInCU: 0xBAFF, offset: 0xBAFF, size: 0x8, addend: 0x0, symName: __ZL18VirtualThreadMountP9_jvmtiEnvz, symObjAddr: 0x1320, symBinAddr: 0x1090, symSize: 0x190 }
  - { offsetInCU: 0xBCAB, offset: 0xBCAB, size: 0x8, addend: 0x0, symName: __ZL10agent_procP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x14B0, symBinAddr: 0x1220, symSize: 0x20 }
...
